summaryrefslogtreecommitdiffstats
path: root/games/mupen64plus
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 23:29:27 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:27 +0200
commit301a421122f7569ffeb213c850b5218456cb2338 (patch)
tree2e2da13fa8fe157c4ffabab502a0c033925274b7 /games/mupen64plus
parent33e22b89a0a8abb94d7891d108de97c17491d7f0 (diff)
downloadslackbuilds-301a421122f7569ffeb213c850b5218456cb2338.tar.gz
slackbuilds-301a421122f7569ffeb213c850b5218456cb2338.tar.xz
games/mupen64plus: Added to 12.2 repository
Diffstat (limited to 'games/mupen64plus')
-rw-r--r--games/mupen64plus/README5
-rw-r--r--games/mupen64plus/doinst.sh4
-rw-r--r--games/mupen64plus/mupen64plus.SlackBuild83
-rw-r--r--games/mupen64plus/mupen64plus.desktop10
-rw-r--r--games/mupen64plus/mupen64plus.info8
-rw-r--r--games/mupen64plus/slack-desc19
6 files changed, 129 insertions, 0 deletions
diff --git a/games/mupen64plus/README b/games/mupen64plus/README
new file mode 100644
index 0000000000..dcfbae714b
--- /dev/null
+++ b/games/mupen64plus/README
@@ -0,0 +1,5 @@
+Mupen64Plus is a plugin-based N64 emulator for Linux which is capable
+of accurately playing many games. Included are four MIPS R4300 CPU
+emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64
+systems, and necessary plugins for audio, graphical rendering (RDP),
+signal co-processor (RSP), and input.
diff --git a/games/mupen64plus/doinst.sh b/games/mupen64plus/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/games/mupen64plus/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/games/mupen64plus/mupen64plus.SlackBuild b/games/mupen64plus/mupen64plus.SlackBuild
new file mode 100644
index 0000000000..c007640ccf
--- /dev/null
+++ b/games/mupen64plus/mupen64plus.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for Mupen64Plus
+
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mupen64plus
+VERSION=${VERSION:-1.4.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf Mupen64Plus-1-4-1-src
+unzip $CWD/Mupen64Plus-1-4-1-src.zip || exit 1
+cd Mupen64Plus-1-4-1-src || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make PREFIX=/usr all || exit 1
+make PREFIX=$PKG/usr install || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENCE.TXT README* RELEASE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+( cd $PKG/usr/share/pixmaps
+ ln -s ../mupen64plus/icons/logo.xpm mupen64plus.xpm
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/mupen64plus/mupen64plus.desktop b/games/mupen64plus/mupen64plus.desktop
new file mode 100644
index 0000000000..f294276452
--- /dev/null
+++ b/games/mupen64plus/mupen64plus.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mupen64Plus
+GenericName=N64 emulator
+Exec=mupen64plus
+Terminal=false
+Type=Application
+Categories=Application;Game;Emulator;
+Icon=mupen64plus.xpm
+StartupNotify=false
diff --git a/games/mupen64plus/mupen64plus.info b/games/mupen64plus/mupen64plus.info
new file mode 100644
index 0000000000..d52b2b3b5a
--- /dev/null
+++ b/games/mupen64plus/mupen64plus.info
@@ -0,0 +1,8 @@
+PRGNAM="mupen64plus"
+VERSION="1.4.1"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+DOWNLOAD="http://mupen64plus.googlecode.com/files/Mupen64Plus-1-4-1-src.zip"
+MD5SUM="bd59542e17107844e6b3b139a1177551"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="dsomero"
diff --git a/games/mupen64plus/slack-desc b/games/mupen64plus/slack-desc
new file mode 100644
index 0000000000..50f6b51b5a
--- /dev/null
+++ b/games/mupen64plus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mupen64plus: Mupen64Plus (N64 emulator)
+mupen64plus:
+mupen64plus: Mupen64Plus is a plugin-based N64 emulator for Linux which is capable
+mupen64plus: of accurately playing many games. Included are four MIPS R4300 CPU
+mupen64plus: emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64
+mupen64plus: systems, and necessary plugins for audio, graphical rendering (RDP),
+mupen64plus: signal co-processor (RSP), and input.
+mupen64plus:
+mupen64plus: Homepage: http://code.google.com/p/mupen64plus/
+mupen64plus:
+mupen64plus: